﻿using ERP.Core.Entity;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ERP.Core.Dto
{
    public class LoginUser
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        public long UserId { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string LoginName { get; set; }

        /// <summary>
        /// 用户密码
        /// </summary>
        [JsonIgnore]
        public string Password { get; set; }

        ///// <summary>
        ///// 用户状态
        ///// </summary>
        //[JsonIgnore]
        //public UserStatusEnum UserStatus { get; set; }

        /// <summary>
        /// 部门Id
        /// </summary>
        public long DeptId { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        public string DeptName { get; set; } = string.Empty;

        /// <summary>
        /// 角色
        /// </summary>
        public List<string> RoleKeys { get; set; } = new();

        /// <summary>
        /// 权限
        /// </summary>
        public List<string> Permission { get; set; } = new();

        /// <summary>
        /// 头像
        /// </summary>
        public string Avatar { get; set; } = string.Empty;

        /// <summary>
        /// 邮箱
        /// </summary>
        public string Email { get; set; } = string.Empty;

        [JsonIgnore]
        public DateTime PasswordExpirationTime { get; set; }

        public LoginUser()
        {
        }

        public LoginUser(SysUser user, List<string> roleKeys, List<string> permission)
        {
            this.UserId = user.Id;
            this.Password = user.Password;
            this.RoleKeys = roleKeys;
            this.Permission = permission;
            this.Avatar = user.Avatar;
            this.Email = user.Email;
            //this.UserStatus = user.UserStatus;
        }
    }
}
