﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ERP.Framework.Constants
{
    public class AuthConstant
    {
        /// <summary>
        /// 登录用户密码错误
        /// </summary>
        public const string PasswordError = "auth:password-error:";

        /// <summary>
        /// 
        /// </summary>
        public const string OnlineToken = "auth:online-token:";

        /// <summary>
        /// 最后一次登录时间(时限为token 长久有效期),
        /// null为token失效
        /// -1 为被踢出
        /// -2 为被顶下线
        /// </summary>
        public const string LastActivity = "auth:last-activity:";

        /// <summary>
        ///  用戶信息
        /// </summary>
        public const string UserInfo = "auth:user-info:";

        /// <summary>
        /// Token List
        /// </summary>
        public const string TokenList = "auth:token-list:";

        /// <summary>
        /// 被踢下线
        /// </summary>
        public const string KickedOff = "-1";

        /// <summary>
        /// 被顶下线
        /// </summary>
        public const string Substituted = "-2";

        /// <summary>
        /// 首次密码错误
        /// </summary>
        public const string FirstPasswordError = "1";
    }
}
