﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ERP.Framework.Constants
{
    public static class DateTimeConstant
    {
        /// <summary>
        /// 年/月/日
        /// </summary>
        public const string Date = "yyyy/MM/dd";

        /// <summary>
        /// 年/月/日 时:分
        /// </summary>
        public const string Date_Short = "yyyy/MM/dd HH:mm";

        /// <summary>
        /// 年/月/日 时:分:秒
        /// </summary>
        public const string Date_Long = "yyyy/MM/dd HH:mm:ss";

        /// <summary>
        /// 年-月-日
        /// </summary>
        public const string Dete_Time = "yyyy-MM-dd";

        /// <summary>
        /// 年-月-日 时:分
        /// </summary>
        public const string Dete_Time_Short = "yyyy-MM-dd HH:mm";

        /// <summary>
        /// 年-月-日 时:分:秒
        /// </summary>
        public const string Dete_Time_Long = "yyyy-MM-dd HH:mm:ss";

        /// <summary>
        /// 时:分
        /// </summary>
        public const string Time = "HH:mm";

        /// <summary>
        /// 时:分:秒
        /// </summary>
        public const string SystemTime = "HH:mm:ss";
    }
}
