﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Filters;
using Newtonsoft.Json;
using System.Net;
using System.Text.RegularExpressions;

namespace ERP.Framework.Filter
{
    public class GlobalExceptionFilter : IAsyncExceptionFilter
    {
        /// <summary>
        /// 异步异常处理
        /// </summary>
        /// <param name="context"></param>
        /// <returns></returns>
        public Task OnExceptionAsync(ExceptionContext context)
        {
            if (context.ExceptionHandled)
            {
                return Task.CompletedTask;
            }

            //var response = new Result();

            //var message = HandleMessage(context.Exception.Message);
            //var errorArr = message?.Split(';') ?? new string[] { };

            //response.Message = HandleMessage(errorArr[0]);
            //response.Code = errorArr.Length > 1 ? int.Parse(errorArr[1]) : ReponseCode.Error;
            //var httpCode = errorArr.Length > 2 ? int.Parse(errorArr[2]) : (int)HttpStatusCode.OK;

            //context.Result = CreateContentResult(httpCode, response);

            context.ExceptionHandled = true;
            return Task.CompletedTask;
        }

        ///// <summary>
        ///// 创建返回对象
        ///// </summary>
        ///// <param name="httpCode">Http 状态码</param>
        ///// <param name="response">返回Body</param>
        ///// <returns></returns>
        //private static ContentResult CreateContentResult(int httpCode, Result response)
        //{
        //    return new ContentResult
        //    {
        //        StatusCode = httpCode,
        //        ContentType = "application/json;charset=utf-8",
        //        Content = JsonConvert.SerializeObject(response)
        //    };
        //}


        private static string HandleMessage(string msg)
        {
            if (msg.Contains("One or more errors occurred"))
            {
                string pattern = @"\((.*?)\)";
                MatchCollection matches = Regex.Matches(msg, pattern);

                // 遍历匹配结果并输出括号内的内容
                foreach (Match match in matches)
                {
                    return match.Groups[1].Value;
                }
            }
            return msg;
        }
    }
}